Summary: Report recursive DNS server health status
Name: fccdnsgrade
Version: 0.9.9
Release: 3%{?dist}
License: BSD
Url:  http://sourceforge.net/projects/%{name}/
Source: http://sourceforge.net/projects/%{name}/files/fccdnsgrade-code-%{version}.tar.gz
Source1: 00-fccdnsgrade-hook-nm
Group: Applications/Internet
Buildrequires: java-devel, jpackage-utils, dnsjava, NetworkManager-devel
Requires: geome >= 1.3 , dnsjava
Requires: java-devel, jpackage-utils, NetworkManager
BuildArch: noarch

%description
FCC DNS server testing

%prep
%setup -q -n fccdnsgrade-code-%{version}
# allow ENV to override the Makefile setting
sed -i "s/DNSJAVA=/DNSJAVA?=/" Makefile
sed -i "s/DNSJAVA=\./#DNSJAVA=\./" Makefile
sed -i "s/get_version/Version.get_version/" fccgrade.java

%build
# Probably totally the wrong way of doing it
#unzip %{_javadir}/dnsjava.jar
#make DNSJAVA=/usr/share/java/dnsjava.jar
make Version.java
make Version.class
javac -cp /usr/share/java/dnsjava.jar:.      fccgrade.java 
jar cfe fccgrade-%{version}.jar fccgrade fccgrade.class  Version.class  /usr/share/java/dnsjava.jar



%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_javadir}
ln -s fccgrade-%{version}.jar fccgrade.jar
cp -a fccgrade-%{version}.jar fccgrade.jar  %{buildroot}/%{_javadir}/
mkdir -p %{buildroot}/%{_sysconfdir}/NetworkManager/dispatcher.d
cp -p %{SOURCE1} %{buildroot}/%{_sysconfdir}/NetworkManager/dispatcher.d/00-fccdnsgrade-hook
mkdir -p %{buildroot}/%{_bindir}
ln -s %{_sysconfdir}/NetworkManager/dispatcher.d//00-fccdnsgrade-hook %{buildroot}/%{_bindir}/fccdnsgrade

%files 
%doc INFO.txt README.txt Resolvers.txt Tests.txt
%{_bindir}/fccdnsgrade
%{_javadir}/*jar
%{_sysconfdir}/NetworkManager/dispatcher.d/00-fccdnsgrade-hook

%changelog
* Wed Nov 14 2012 Paul Wouters <pwouters@redhat.com> - 0.9.9-3
- rebuilt

* Mon Nov 12 2012 Paul Wouters <pwouters@redhat.com> - 0.9.9-2
- Update NetworkManager hook to launch a second check after 60s
  (hopefully user will have authenticated to the hotspot by then)
- Allow a manual run using /usr/bin/fccdnsgrade

* Sat Oct 20 2012 Paul Wouters <pwouters@redhat.com> - 0.9.9-1
- Initial package
